clear all
close all

a=csvread(["1W.csv"])(2:end,:);
b=csvread(["200W.csv"])(2:end,:);

f1=figure();
p1=semilogy(a(:,2),[a(:,4)],'.','markersize',15,'linestyle','none');
hold all
p2=semilogy(b(:,2),[b(:,4)],'.','markersize',15,'linestyle','none');
hold on
h1=legend([p1 p2],["1W - THD: ",num2str(vecnorm(a(2:end,4)*100),"%1.6f"),"%"], ["200W - THD: ",num2str(vecnorm(b(2:end,4)*100),"%1.6f"),"%"]);
title (['RK-Auto200W - THD Normalized - 1W vs 200W ']);
xlabel ('Freq (Hz)');
ylabel ('Distorsion normalized');
set(gca, 'fontsize', 13);
grid on;
grid minor on;
print (f1, ["THDPlot"], "-depsc2"); 
print (f1, ["THDPlot"], "-dpng"); 


f2=figure();
p1=plot(a(:,2),[a(:,6)],'.','markersize',15,'linestyle','none');
hold all
p2=plot(b(:,2),[b(:,6)],'.','markersize',15,'linestyle','none');
hold on
h1=legend([p1 p2],["1W - THD: ",num2str(vecnorm(a(2:end,4)*100),"%1.6f"),"%"], ["200W - THD: ",num2str(vecnorm(b(2:end,4)*100),"%1.6f"),"%"]);
title (['RK-Auto200W - THD - Phase - 1W vs 200W ']);
xlabel ('Freq (Hz)');
ylabel ('Phase (deg)');
set(gca, 'fontsize', 13);
ylim([-180 180]);
grid on;
grid minor on;
print (f2, ["THDPlot-phase"], "-depsc2"); 
print (f2, ["THDPlot-phase"], "-dpng"); 
close all